Support » Plugin: Invite Anyone » [Plugin: Invite Anyone] this.source error in jQuery UI 1.8.16 because of autocomplete.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Boone Gorges

    (@boonebgorges)

    Can you clarify the error? Or provide a patch? 🙂

    Sure,

    when I click in the invite field it fires a jquery UI error saying this.source is not a function.
    I’m using jQuery UI 1.8.16 from Google’s CDN and using the included autocomplete.
    I Googled it and apparently its an issue when not declaring a source.
    I ended up doing something else in the meantime but I’ve made a note to come back and see if I can solve whats causing it…

    I had the same problem, the autocomplete plugin that comes with this plugin shares the same namespace as the jQuery UI plugin. I changed the function name in the included autocomplete.min.js plugin to “BPautocomplete” and changed the useage of it on line 19 of group-invites-js.js to match:
    a = j('#send-invite-form #send-to-input').BPautocomplete(options);

    I know you shouldn’t hack a plugin since it will cause issues during upgrading but it’s silly to name something so generic that it will most likely bump into other functions.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Invite Anyone] this.source error in jQuery UI 1.8.16 because of autocomplete.’ is closed to new replies.